package com.xunhong.erp.turbo.api.facade.exception;

import com.xunhong.erp.turbo.base.exception.ErrorCode;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@RequiredArgsConstructor
@Getter
public enum FacadeErrorCode implements ErrorCode {
	B_FACADE_DEVICE_NOT_EXISTS("B_FACADE_DEVICE_NOT_EXISTS", "设备不存在"),
	B_FACADE_DEVICE_EXISTS("B_FACADE_DEVICE_EXISTS", "设备已存在");

	private final String code;

	private final String message;

	@Override
	public String getCode() {
		return this.code;
	}

	@Override
	public String getMessage() {
		return this.message;
	}
}
